﻿define(['services/logger', 'durandal/app'], function (logger, app) {
	var entityManager = new breeze.EntityManager("/api/northwind");

	var vm = {
		activate: activate,
		title: 'Details View',
		customer: ko.observable(),
		save: save,
	};

	return vm;

	//#region Internal Methods
	function save() {
		app.showMessage("Vuoi veramente salvare i dati", "conferma", ["si", "no"]).then(function (dialogResult) {
			if (dialogResult == "si")
				entityManager.saveChanges().then(function () {
					app.showMessage("dati salvati", "conferma", ["ok"]);
				}).fail(function () {
					app.showMessage("errore nel salvataggio dei dati", "conferma", ["ok"]);
				});
		});

	}

	function activate(parameters) {
		var self = this;
		logger.log('Details View Activated', null, 'details', true);
		var query1a = breeze.EntityQuery.from("Customers")
				.where("CustomerID", "==", parameters.id);

		entityManager.executeQuery(query1a) // returns a promise
		.then(function (result) {
			self.customer(result.results[0]);
		});
		return true;
	}
	//#endregion
});