﻿define(['services/logger'], function (logger) {
	var vm = {
		activate: activate,
		title: 'Home View',
		label: ko.observable(""),
		orders: ko.observableArray(),
		changeLabel: changeLabel,
	};

	return vm;

	//#region Internal Methods
	function activate() {
		var self = this;
		this.orders.removeAll();
		logger.log('Home View Activated', null, 'home', true);
		var entityManager = new breeze.EntityManager("/api/northwind");
		var query1a = breeze.EntityQuery.from("Customers")
				.where("CompanyName", "startsWith", "A");

		entityManager.executeQuery(query1a) // returns a promise
		.then(function (result) {
			result.results.forEach(function (item) {
				self.orders.push(item);
			});
		});
		return true;
	}

	function changeLabel(){
		this.label(new Date().toString());
	}
	//#endregion
});