﻿using Breeze.WebApi;
using Newtonsoft.Json.Linq;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Web.Http;

namespace EventSPA.Controllers
{
	[BreezeController]
	public class NorthwindController : ApiController
	{
		readonly EFContextProvider<northwindEntities> _contextProvider =
				new EFContextProvider<northwindEntities>();

		// ~/breeze/todos/Metadata 
		[HttpGet]
		public string Metadata()
		{
			return _contextProvider.Metadata();
		}
		
		[HttpGet]
		public IQueryable<Order> Orders()
		{
			return _contextProvider.Context.Orders;
		}

		[HttpGet]
		public IQueryable<Customer> Customers()
		{
			return _contextProvider.Context.Customers;
		}

		[HttpPost]
		public SaveResult SaveChanges(JObject entities)
		{
			return _contextProvider.SaveChanges(entities);
		}
	}
}